{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":543,"path":"api-reference/rest-apis/sales_crm_pricing-POST-compute-price.md","title":"Sales CRM Pricing - POST /api/sn\\_csm\\_pricing/\\{api\\_version\\}/pricingengine/computePrice","bundle":null,"doc_type":null,"release":"australia","body":"\n# Sales CRM Pricing - POST /api/sn\\_csm\\_pricing/\\{api\\_version\\}/pricingengine/computePrice\n\nEnables callers to compute the price of products specified in the request payload. The pricing settings included in the payload determine and control the execution flow of the Pricing Engine, such as whether to apply validations, adjustments, or rollups.\n\n## URL format\n\nVersioned URL: `/api/sn_csm_pricing/{api_version}/pricingengine/computePrice`\n\nDefault URL: ``\n\n## Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nheader\n\n</td><td>\n\nRequired. Contains transaction-level details, line items, currency, pricelist, and transaction date.Data type: Object\n\n```\n{\n  \"header\": {\n    \"source_system\": \"String\",\n    \"requesting_record_id\": \"String\",\n    \"currency\": \"String\",\n    \"lineItems\": [Array],\n    \"pricelist\": \"String\",\n    \"transaction_date\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.source\\_system\n\n</td><td>\n\nRequired. The system initiating the request.Data type: String\n\nExample: `ServiceNow REST API`\n\n</td></tr><tr><td>\n\nheader.requesting\\_record\\_id\n\n</td><td>\n\nRequired. Unique identifier for this request.Data type: String\n\nExample: `QT0001101`\n\n</td></tr><tr><td>\n\nheader.currency\n\n</td><td>\n\nRequired. Currency code for pricing. Supports only ServiceNow currencies.Data type: String\n\nExample: `USD`\n\n</td></tr><tr><td>\n\nheader.transaction\\_date\n\n</td><td>\n\nRequired. The date and time of the transaction.Format: Format: glide\\_date\\_time value, such as `yyyy-MM-dd HH:mm:ss`\n\nData type: datetime\n\nExample: `2023-12-18 23:37:11`\n\n</td></tr><tr><td>\n\nheader.pricelist\n\n</td><td>\n\nRequired. The default pricelist ID to use for the transaction.Data type: String\n\nExample: `19d29513d0e63110f8770dbf976be122`\n\n</td></tr><tr><td>\n\nheader.lineItems\n\n</td><td>\n\nRequired. Array of line-item objects detailing products, quantities, and pricing info.```\n{\n    \"lineItems\": [\n        {\n            \"line_id\": \"String\",\n            \"pricelist\": \"String\",\n            \"product_offering\": \"String\",\n            \"periodicity\": \"String\",\n            \"quantity\": \"String\",\n            \"unit_of_measure\": \"String\",\n            \"transaction_date\": \"String\",\n            \"account_tier\": \"String\",\n            \"selected\": \"Boolean\",\n            \"top_product_offer\": \"String\",\n            \"parent_product_offer\": \"String\",\n            \"settings\": {Object}\n        }\n    ]\n}\n\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].line\\_id\n\n</td><td>\n\nRequired. Unique identifier for this line item.Data type: String\n\nExample: `CONNECTEDC1100`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].pricelist\n\n</td><td>\n\nRequired. Pricelist ID for this line item.Data type: String\n\nExample: `19d29513d0e63110f8770dbf976be122`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].product\\_offering\n\n</td><td>\n\nRequired. Product offering ID for this line item.Data type: String\n\nExample: `db61dd9fd0a63110f8770dbf976be19c`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].periodicity\n\n</td><td>\n\nIdentifies the frequency. Possible values are `monthly`, `annually`, or null/undefined.Data type: String\n\nExample: `monthly`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].quantity\n\n</td><td>\n\nRequired. Quantity of the product.Data type: String\n\nExample: `1`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].unit\\_of\\_measure\n\n</td><td>\n\nRequired. Unit of measure ID.Data type: String\n\nExample: `cb2795d553020110286eddeeff7b12ff`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].transaction\\_date\n\n</td><td>\n\nRequired. Date of the transaction specific to this line item.Format: glide\\_date\\_time value\n\nData type: datetime\n\nExample: `2023-12-18 23:37:11`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].account\\_tier\n\n</td><td>\n\nOptional account tier \\(e.g., \"gold\"\\) for pricing logic. If account\\_tier is a context variable used in rule matrices.Data type: String\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].selected\n\n</td><td>\n\nIndicates if the line item is selected in a configurator scenario. Only applicable for child lines in bundle.Data type: Boolean\n\nExample: `true`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].top\\_product\\_offer\n\n</td><td>\n\nIdentifier for top-level product in a configuration bundle.Data type: String\n\nExample: `db61dd9fd0a63110f8770dbf976be19c`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].parent\\_product\\_offer\n\n</td><td>\n\nIdentifier for the parent product in a bundle line item.Data type: String\n\nExample: `26d07c3211707110f877366201dea60c`\n\n</td></tr><tr><td>\n\nsettings\n\n</td><td>\n\nRequired. Contains pricing engine settings and options.Data type: Object\n\n```\n{\n  \"settings\": {\n    \"pricing_elements\": \"String\",\n    \"disable_validation\": boolean\n  }\n}\n```\n\n</td></tr><tr><td>\n\nsettings.pricing\\_elements\n\n</td><td>\n\nRequired. Comma-separated list of elements to return.Data type: String\n\nExample: `PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS`\n\n</td></tr><tr><td>\n\nsettings.disable\\_validation\n\n</td><td>\n\nWhether to disable validation checks on request.Data type: Boolean\n\nExample: `true`\n\n</td></tr><tr><td>\n\nsettings.config\\_lines\\_expanded\n\n</td><td>\n\nIndicates if all the lines for bundle are sent on the request. At this moment, for configurator we expect all lines to be sent for every pricing call coming from configurator.Data type: Boolean\n\nExample: `true`\n\n</td></tr><tr><td>\n\nsettings.scope\n\n</td><td>\n\nScope of pricing.Data type: String\n\nExample: `configurator`\n\n</td></tr><tr><td>\n\nsettings.config\\_top\\_line\\_identifier\n\n</td><td>\n\nThe line ID of the top-level product in configuration.Data type: String\n\nExample: `HOMEAUTOMA2000`\n\n</td></tr><tr><td>\n\nsettings.use\\_external\\_code\n\n</td><td>\n\nIndicates if the system performs external code lookup.Data type: Boolean\n\nExample: `true`\n\n</td></tr></tbody>\n</table>## Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n## Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n\n## Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_twx_l3t_ygc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nheader.currency\n\n</td><td>\n\nCurrency code used in the pricing response. Similar to the one sent in the request.Data type: String\n\nExample: `USD`\n\n</td></tr><tr><td>\n\nheader.costbook\n\n</td><td>\n\nIdentifier of the costbook used for pricing.Data type: String \\(Sys\\_id\\)\n\n</td></tr><tr><td>\n\nheader.lineItems\n\n</td><td>\n\nContains pricing details for each line item.Data type: Array&lt;Object&gt;\n\n```\n{\n  \"lineItems\": [\n    {\n      \"line_id\": \"String\",\n      \"status\": \"String\",\n      \"currency\": \"String\",\n      \"base_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"list_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"pricelist\": \"String\",\n      \"quantity\": \"\",\n      \"price_list_line\": \"String\",\n      \"product_offering\": \"String\",\n      \"one_time_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"monthly_recurring_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"annual_recurring_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"unit_net_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"cumulative_net_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"cumulative_one_time_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"cumulative_monthly_recurring_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"cumulative_annual_recurring_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"unit_adjustment\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"term_month\": {\n        \"value\": Integer,\n        \"displayValue\": Integer\n      },\n      \"cumulative_annual_recurring_price_v1\": {\n        \"value\": Integer,\n        \"displayValue\": Integer\n      },\n      \"cumulative_monthly_recurring_price_v1\": {\n        \"value\": 0,\n        \"displayValue\": 0\n      },\n      \"total_recurring_price\": {\n        \"value\": \"String\",\n        \"displayValue\": \"String\"\n      },\n      \"pricingAdjustments\": [],\n      \"total_adjustment_amount\": []\n    }\n  ]\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].line\\_id\n\n</td><td>\n\nIdentifier of the line item.Data type: String\n\nExample: `CONNECTEDC1100`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].status\n\n</td><td>\n\nStatus of the pricing calculation for the line item.Valid options:\n\n-   Success\n-   Failure\n\nData type: String\n\nExample: `Success`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].base\\_price\n\n</td><td>\n\nBase price before adjustments.Data type: Object\n\n```\n{\n  \"base_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].list\\_price\n\n</td><td>\n\nList price which is base price and attribute adjustments included.Data type: Object\n\n```\n{\n  \"list_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].pricelist\n\n</td><td>\n\nPrice list reference.Data type: String \\(Sys\\_id\\)\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].quantity\n\n</td><td>\n\nQuantity sent as part of request.Data type: String\n\nExample: `1`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].price\\_list\\_line\n\n</td><td>\n\nPrice list line reference.Data type: String \\(Sys\\_id\\)\n\nExample: `3e93e785d07a7910f8770dbf976be1ee`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].product\\_offering\n\n</td><td>\n\nProduct offering reference.Data type: String \\(Sys\\_id\\)\n\nExample: `db61dd9fd0a63110f8770dbf976be19c`\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].one\\_time\\_price\n\n</td><td>\n\nOne-time price for the product, unit net price \\* quantity.Data type: Object\n\n```\n{\n  \"one_time_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].monthly\\_recurring\\_price\n\n</td><td>\n\nMonthly recurring price for the product inclusive of all quantities.Data type: Object\n\n```\n{\n  \"monthly_recurring_price\": {\n    \"value\": Integer,\n    \"displayValue\": Integer\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].annual\\_recurring\\_price\n\n</td><td>\n\nAnnual recurring price for the product inclusive of all quantities.Data type: Object\n\n```\n{\n  \"annual_recurring_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].unit\\_net\\_price\n\n</td><td>\n\nNet price per unit after auto adjustments.Data type: Object\n\n```\n{\n  \"unit_net_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cumulative\\_net\\_price\n\n</td><td>\n\n\\[One time price + \\(Monthly Recurring price \\* Term\\)\\] + \\(if parent line\\) sum of all CNP for immediate and grand child linesData type: Object\n\n```\n{\n  \"cumulative_net_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cumulative\\_one\\_time\\_price\n\n</td><td>\n\nFor Child- One time price for the line item. For Parent line item - One time price for the line item + One time price for all child and grand child line items.Data type: Object\n\n```\n{\n  \"cumulative_one_time_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cumulative\\_monthly\\_recurring\\_price\n\n</td><td>\n\nIf price method = recurring. Monthly Recurring price for the line + \\(if parent line\\) sum of all monthly recurring price of child lines.Data type: Object\n\n```\n{\n  \"cumulative_monthly_recurring_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cumulative\\_annual\\_recurring\\_price\n\n</td><td>\n\nIf price method = recurring. Cumulative Monthly Recurring Price \\* 12.Data type: Object\n\n```\n{\n  \"cumulative_annual_recurring_price\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].unit\\_adjustment\n\n</td><td>\n\nPrice adjustment applied per unit.Data type: Object\n\n```\n{\n  \"unit_adjustment\": {\n    \"value\": \"String\",\n    \"displayValue\": \"String\"\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].term\\_month\n\n</td><td>\n\nTerm duration in months.Data type: Object\n\n```\n{\n  \"term_month\": {\n    \"value\": Integer,\n    \"displayValue\": Integer\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cost\n\n</td><td>\n\nUnit cost of the product.Data type: Object\n\n```\n{\n  \"cost\": {\n    \"value\": Integer,\n    \"displayValue\": Integer\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].unit\\_margin\\_amount\n\n</td><td>\n\nProfit margin amount per unit.Data type: Object\n\n```\n{\n  \"cost\": {\n    \"value\": Integer,\n    \"displayValue\": Integer\n  }\n}\n```\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].unit\\_margin\\_percentage\n\n</td><td>\n\nProfit margin percentage per unit.Data type: Object\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].one\\_time\\_cost\n\n</td><td>\n\nOne-time cost for the product inclusive of all quantities.Data type: Object\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].monthly\\_recurring\\_cost\n\n</td><td>\n\nMonthly recurring cost for the product inclusive of all quantities.Data type: Object\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cumulative\\_one\\_time\\_cost\n\n</td><td>\n\nFor Child- One time cost for the line item. For Parent line item - One time cost for the line item + One time cost for all child and grand child line items.Data type: Object\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cumulative\\_monthly\\_recurring\\_cost\n\n</td><td>\n\nIf price method = recurring. Monthly Recurring cost for the line + \\(if parent line\\) sum of all monthly recurring cost of child lines.Data type: Object\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cumulative\\_net\\_cost\n\n</td><td>\n\n\\[One time cost + \\(Monthly Recurring cost \\* Term\\)\\] + \\(if parent line\\) sum of all CNC for immediate and grand child linesData type: Object\n\n</td></tr><tr><td>\n\nheader.lineItems\\[\\].cumulative\\_margin\\_percentage\n\n</td><td>\n\nOverall margin percentage.Data type: Object\n\n</td></tr><tr><td>\n\nheader.status\n\n</td><td>\n\nStatus of the overall pricing request.Valid options are:\n\n-   Success\n-   Failure\n-   Partial Failure\n\nData type: String\n\nExample: `Success`\n\n</td></tr><tr><td>\n\nheader.total\\_monthly\\_recurring\\_price\n\n</td><td>\n\nAggregated monthly recurring price.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_annual\\_recurring\\_price\n\n</td><td>\n\nAggregated annual recurring price.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_amount\n\n</td><td>\n\nTotal transaction amount.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_one\\_time\\_price\n\n</td><td>\n\nAggregated one-time price.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_one\\_time\\_cost\n\n</td><td>\n\nAggregated one-time cost.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_monthly\\_cost\n\n</td><td>\n\nAggregated monthly cost.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_cost\n\n</td><td>\n\nTotal cost \\(one-time + recurring\\).Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_one\\_time\\_margin\n\n</td><td>\n\nTotal margin from one-time charges.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_monthly\\_margin\n\n</td><td>\n\nTotal margin from monthly charges.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_margin\\_amount\n\n</td><td>\n\nTotal profit margin amount.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_one\\_time\\_margin\\_percentage\n\n</td><td>\n\nMargin percentage for one-time charges.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_monthly\\_margin\\_percentage\n\n</td><td>\n\nMargin percentage for monthly charges.Data type: Object\n\n</td></tr><tr><td>\n\nheader.total\\_margin\\_percentage\n\n</td><td>\n\nOverall margin percentage.Data type: Object\n\n</td></tr><tr><td>\n\nsettings.pricing\\_elements\n\n</td><td>\n\nElements included in the pricing response \\(PRICE, COST, NET\\_PRICE, etc.\\).Data type: String\n\n</td></tr><tr><td>\n\nsettings.pricing\\_context\\_id\n\n</td><td>\n\nIdentifier for pricing session when scope is configurator.Data type: String\n\n</td></tr></tbody>\n</table>## Example usage\n\nThese examples demonstrate basic usage, to include:\n\n-   Calculating a price for a single product\n-   Calculate prices for multiple products with header roll-ups\n-   Initiate a product configuration session\n-   Update a product configuration \\(change a characteristic option\\)\n\n## Calculate price for a single product\n\nThis example demonstrates a basic price calculation for a single product offering. The API is called with one line item, and the request specifies that the PRICE, COST,NET\\_PRICE,LINE\\_ROLLUPS,HEADER\\_ROLLUPS and ADJUSTMENTS should be calculated and returned. This is a foundational request for getting the price of an individual item without any complex configurations or adjustments.\n\nExample: cURL request.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice\" \\\n--request POST \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--data '{\n    \"header\": {\n        \"source_system\": \"ServiceNow Headless API\",\n        \"requesting_record_id\": \"QT0001101\",\n        \"currency\": \"USD\",\n        \"lineItems\": [\n            {\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"db61dd9fd0a63110f8770dbf976be19c\",\n                \"periodicity\" : \"\",\n                \"quantity\": \"1\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2023-12-18 23:37:11\",\n                \"line_id\": \"CONNECTEDC1100\"\n            }\n        ],\n        \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n        \"transaction_date\": \"2023-12-18 23:37:11\"\n    },\n    \"settings\": {\n        \"pricing_elements\": \"PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS\",\n        \"disable_validation\": true\n    }\n}' \\\n--user 'username:password'\n```\n\n```\n{\n      \"result\": {\n        \"header\": {\n            \"currency\": \"USD\",\n            \"lineItems\": [\n                {\n                    \"line_id\": \"CONNECTEDC1100\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"\",\n                    \"price_list_line\": \"3e93e785d07a7910f8770dbf976be1ee\",\n                    \"product_offering\": \"db61dd9fd0a63110f8770dbf976be19c\",\n                    \"one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricingAdjustments\": [],\n                    \"total_adjustment_amount\": []\n                }\n            ],\n            \"status\": \"Success\",\n            \"total_monthly_recurring_price\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_monthly_recurring_price_v1\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_annual_recurring_price\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_annual_recurring_price_v1\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_amount\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_amount_v1\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_one_time_price\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_one_time_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_monthly_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_one_time_margin\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_monthly_margin\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_margin_amount\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_one_time_margin_percentage\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_monthly_margin_percentage\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_margin_percentage\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            }\n        },\n        \"settings\": {\n            \"pricing_elements\": \"PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS\"\n        }\n    }\n}\n```\n\n## Calculate prices for multiple products with header roll-ups\n\nThis example shows how to send a list of multiple, distinct products to be priced in a single transaction. A key difference in this request is the inclusion sending multiple products in same request. This instructs the pricing engine to calculate the individual price for each line item and to compute and return the aggregated totals for the entire request.\n\nExample: cURL request.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice\" \\\n--request POST \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--data '{\n    \"header\": {\n        \"source_system\": \"Test Source System\",\n        \"requesting_record_id\": \"QT0001101\",\n        \"currency\": \"USD\",\n        \"lineItems\": [\n            {\n                \"top_product_offer\": \"db61dd9fd0a63110f8770dbf976be19c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"db61dd9fd0a63110f8770dbf976be19c\",\n                \"periodicity\" : \"\",\n                \"quantity\": \"1\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2023-12-18 23:37:11\",\n                \"line_id\": \"CONNECTEDC1000\"\n            },\n            {\n                \"top_product_offer\": \"9b61dd9fd0a63110f8770dbf976be1c6\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"9b61dd9fd0a63110f8770dbf976be1c6\",\n                \"periodicity\" : \"annually\",\n                \"quantity\": \"1\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2023-12-18 23:37:11\",\n                \"line_id\": \"AUTOCOLLIS1001\"\n            },\n            {\n                \"top_product_offer\": \"9361dd9fd0a63110f8770dbf976be1c4\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"9361dd9fd0a63110f8770dbf976be1c4\",\n                \"periodicity\" : \"annually\",\n                \"quantity\": \"1\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2023-12-18 23:37:11\",\n                \"line_id\": \"WIFIHOTSPOT1002\"\n            }\n        ],\n        \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n        \"transaction_date\": \"2023-12-18 23:37:11\"\n    },\n    \"settings\": {\n        \"pricing_elements\": \"PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS\",\n        \"disable_validation\": true\n    }\n}' \\\n--user 'username:password'\n```\n\n```\n{\n    \"result\": {\n        \"header\": {\n            \"currency\": \"USD\",\n            \"lineItems\": [\n                {\n                    \"line_id\": \"CONNECTEDC1000\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"3e93e785d07a7910f8770dbf976be1ee\",\n                    \"product_offering\": \"db61dd9fd0a63110f8770dbf976be19c\",\n                    \"top_product_offer\": \"db61dd9fd0a63110f8770dbf976be19c\",\n                    \"one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricingAdjustments\": [],\n                    \"total_adjustment_amount\": []\n                },\n                {\n                    \"line_id\": \"AUTOCOLLIS1001\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"250.0000\",\n                        \"displayValue\": \"$250.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"250.0000\",\n                        \"displayValue\": \"$250.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"4dc32f85d07a7910f8770dbf976be197\",\n                    \"product_offering\": \"9b61dd9fd0a63110f8770dbf976be1c6\",\n                    \"top_product_offer\": \"9b61dd9fd0a63110f8770dbf976be1c6\",\n                    \"one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"20.8333\",\n                        \"displayValue\": \"$20.8333\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"250.0000\",\n                        \"displayValue\": \"$250.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"250.0000\",\n                        \"displayValue\": \"$250.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"20.8333\",\n                        \"displayValue\": \"$20.8333\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"250.0000\",\n                        \"displayValue\": \"$250.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": \"250.0000\",\n                        \"displayValue\": \"$250.00\"\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"250.0000\",\n                        \"displayValue\": \"$250.00\"\n                    },\n                    \"pricingAdjustments\": [],\n                    \"total_adjustment_amount\": []\n                },\n                {\n                    \"line_id\": \"WIFIHOTSPOT1002\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"3ff3ef85d07a7910f8770dbf976be1ea\",\n                    \"product_offering\": \"9361dd9fd0a63110f8770dbf976be1c4\",\n                    \"top_product_offer\": \"9361dd9fd0a63110f8770dbf976be1c4\",\n                    \"one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"8.3333\",\n                        \"displayValue\": \"$8.3333\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"8.3333\",\n                        \"displayValue\": \"$8.3333\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"pricingAdjustments\": [],\n                    \"total_adjustment_amount\": []\n                }\n            ],\n            \"status\": \"Success\",\n            \"total_monthly_recurring_price\": {\n                \"value\": \"29.1666\",\n                \"displayValue\": \"$29.1666\"\n            },\n            \"total_monthly_recurring_price_v1\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_annual_recurring_price\": {\n                \"value\": \"350.0000\",\n                \"displayValue\": \"$350.00\"\n            },\n            \"total_annual_recurring_price_v1\": {\n                \"value\": \"350.0000\",\n                \"displayValue\": \"$350.00\"\n            },\n            \"total_amount\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_amount_v1\": {\n                \"value\": \"350.0000\",\n                \"displayValue\": \"$350.00\"\n            },\n            \"total_one_time_price\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_one_time_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_monthly_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_one_time_margin\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_monthly_margin\": {\n                \"value\": \"29.1666\",\n                \"displayValue\": \"$29.1666\"\n            },\n            \"total_margin_amount\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_one_time_margin_percentage\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_monthly_margin_percentage\": {\n                \"value\": \"100.0000\",\n                \"displayValue\": \"$100.00\"\n            },\n            \"total_margin_percentage\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            }\n        },\n        \"settings\": {\n            \"pricing_elements\": \"PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS\"\n        }\n    }\n}\n```\n\n## Initiate a product configuration session\n\nThis example demonstrates how to start a stateful product configuration session. This is used for complex products that are sold as a bundle with multiple components and user-selectable options. By setting the scope to \"configurator\", we tell the pricing engine to create a persistent session. The engine processes the entire product hierarchy, calculates initial prices, and returns a unique pricing\\_context\\_id.\n\n**Important:** The unique `pricing_context_id` must be captured and sent in all subsequent requests for this configuration \\(e.g., when changing a quantity or selecting an option\\) to maintain the session's state.\n\nExample: cURL request.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice\" \\\n--request POST \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--data '{\n    \"header\": {\n        \"source_system\": \"ServiceNow Headless API\",\n        \"requesting_record_id\": \"QT0001101\",\n        \"currency\": \"USD\",\n        \"lineItems\": [\n            {\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"26d07c3211707110f877366201dea60c\",\n                \"quantity\": \"1\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"periodicity\" : \"\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"HOMEAUTOMA2000\"\n            },\n            {\n                \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"fe5d203e11307110f877366201dea631\",\n                \"periodicity\" : \"\",\n                \"quantity\": \"3\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"DOORSENSOR1001\"\n            },\n            {\n                \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"3f6111dfd0a63110f8770dbf976be149\",\n                \"periodicity\" : \"\",\n                \"quantity\": \"1\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"characteristics\": [\n                    {\n                        \"characteristic\": \"4f31999fd0a63110f8770dbf976be178\",\n                        \"characteristic_option\": \"0b31999fd0a63110f8770dbf976be179\"\n                    }\n                ],\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"HOMEAUTOMA1002\"\n            },\n            {\n                \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"376111dfd0a63110f8770dbf976be140\",\n                \"periodicity\" : \"monthly\",\n                \"quantity\": \"1\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"BASICMONIT1003\"\n            },\n            {\n                \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"e2619d9fd0a63110f8770dbf976be1ec\",\n                \"periodicity\" : \"monthly\",\n                \"quantity\": \"1\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"PREMMONIT2004\"\n            },\n            {\n                \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"3b6111dfd0a63110f8770dbf976be147\",\n                \"periodicity\" : \"monthly\",\n                \"quantity\": \"1\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"ULTIMONIT1005\"\n            },\n            {\n                \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"1761dd9fd0a63110f8770dbf976be196\",\n                \"periodicity\" : \"\",\n                \"quantity\": \"1\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"INDOORCAM1006\"\n            },\n            {\n                \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"6f6111dfd0a63110f8770dbf976be100\",\n                \"periodicity\" : \"\",\n                \"quantity\": \"1\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"OUTCAMERA1007\"\n            },\n            {\n                \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                \"product_offering\": \"1b20347e11307110f877366201dea67f\",\n                \"periodicity\" : \"\",\n                \"quantity\": \"3\",\n                \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                \"unit_of_measure\": \"cb2795d553020110286eddeeff7b12ff\",\n                \"transaction_date\": \"2025-08-28 22:46:39\",\n                \"selected\": true,\n                \"line_id\": \"WINSENSOR1008\"\n            }\n        ],\n        \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n        \"transaction_date\": \"2023-12-18 23:37:11\"\n    },\n    \"settings\": {\n        \"pricing_elements\": \"PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS\",\n        \"disable_validation\": true,\n        \"scope\": \"configurator\",\n        \"config_top_line_identifier\": \"HOMEAUTOMA2000\",\n        \"config_lines_expanded\": false\n    }\n}' \\\n--user 'username:password'\n```\n\nExample response:\n\nThe following result shows that the request status is successful.\n\n```\n{\n    \"result\": {\n        \"header\": {\n            \"currency\": \"USD\",\n            \"lineItems\": [\n                {\n                    \"line_id\": \"HOMEAUTOMA2000\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"d6792b8dd07a7910f8770dbf976be1f8\",\n                    \"product_offering\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"200.0000\",\n                        \"displayValue\": \"$200.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"200.0000\",\n                        \"displayValue\": \"$200.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"105.0000\",\n                        \"displayValue\": \"$105.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"1260.0000\",\n                        \"displayValue\": \"$1,260.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": \"105.0000\",\n                        \"displayValue\": \"$105.00\"\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricingAdjustments\": [],\n                    \"total_adjustment_amount\": []\n                },\n                {\n                    \"line_id\": \"DOORSENSOR1001\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"10.0000\",\n                        \"displayValue\": \"$10.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"10.0000\",\n                        \"displayValue\": \"$10.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"3\",\n                    \"price_list_line\": \"2ec2a745d07a7910f8770dbf976be159\",\n                    \"product_offering\": \"fe5d203e11307110f877366201dea631\",\n                    \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"24.0000\",\n                        \"displayValue\": \"$24.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"8.0000\",\n                        \"displayValue\": \"$8.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"24.0000\",\n                        \"displayValue\": \"$24.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"24.0000\",\n                        \"displayValue\": \"$24.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"-2.0000\",\n                        \"displayValue\": \"($2.00)\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricingAdjustments\": [\n                        {\n                            \"adjustment_type\": {\n                                \"value\": \"a96c83d653dd91105c0eddeeff7b12d8\",\n                                \"displayValue\": \"MARKDOWN_PER\"\n                            },\n                            \"adjustment_value\": {\n                                \"value\": 20.0,\n                                \"displayValue\": \"20\"\n                            },\n                            \"adjustment_amount\": {\n                                \"value\": -2.0,\n                                \"displayValue\": \"($2.00)\"\n                            },\n                            \"adjustment_amount_total\": {\n                                \"value\": -6.0,\n                                \"displayValue\": \"($6.00)\"\n                            },\n                            \"adjustment_description\": {\n                                \"displayValue\": \"door sensor bundle discount\"\n                            },\n                            \"adjustment_sequence_id\": {\n                                \"value\": 1.0\n                            },\n                            \"adjustment_matrix_type\": {\n                                \"displayValue\": \"Configuration Component Price Adjustment\"\n                            },\n                            \"adjustment_basis\": {\n                                \"value\": \"prv_price_point\"\n                            },\n                            \"price_point\": {\n                                \"value\": \"net_price\"\n                            },\n                            \"pricing_plan_step\": {\n                                \"value\": \"97b61272ffe722101fb14ad013cb14d7\"\n                            },\n                            \"running_price\": {\n                                \"value\": 8.0,\n                                \"displayValue\": \"$8.00\"\n                            }\n                        }\n                    ],\n                    \"total_adjustment_amount\": [\n                        {\n                            \"pricePoint\": \"net_price\",\n                            \"value\": -6.0,\n                            \"displayValue\": \"($6.00)\"\n                        }\n                    ]\n                },\n                {\n                    \"line_id\": \"HOMEAUTOMA1002\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"100.0000\",\n                        \"displayValue\": \"$100.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"fe912705d07a7910f8770dbf976be147\",\n                    \"product_offering\": \"3f6111dfd0a63110f8770dbf976be149\",\n                    \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"80.0000\",\n                        \"displayValue\": \"$80.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"80.0000\",\n                        \"displayValue\": \"$80.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"80.0000\",\n                        \"displayValue\": \"$80.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"80.0000\",\n                        \"displayValue\": \"$80.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"-20.0000\",\n                        \"displayValue\": \"($20.00)\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricingAdjustments\": [\n                        {\n                            \"adjustment_type\": {\n                                \"value\": \"a96c83d653dd91105c0eddeeff7b12d8\",\n                                \"displayValue\": \"MARKDOWN_PER\"\n                            },\n                            \"adjustment_value\": {\n                                \"value\": 20.0,\n                                \"displayValue\": \"20\"\n                            },\n                            \"adjustment_amount\": {\n                                \"value\": -20.0,\n                                \"displayValue\": \"($20.00)\"\n                            },\n                            \"adjustment_amount_total\": {\n                                \"value\": -20.0,\n                                \"displayValue\": \"($20.00)\"\n                            },\n                            \"adjustment_description\": {\n                                \"displayValue\": \"home automation hub bundle discount\"\n                            },\n                            \"adjustment_sequence_id\": {\n                                \"value\": 1.0\n                            },\n                            \"adjustment_matrix_type\": {\n                                \"displayValue\": \"Configuration Component Price Adjustment\"\n                            },\n                            \"adjustment_basis\": {\n                                \"value\": \"prv_price_point\"\n                            },\n                            \"price_point\": {\n                                \"value\": \"net_price\"\n                            },\n                            \"pricing_plan_step\": {\n                                \"value\": \"97b61272ffe722101fb14ad013cb14d7\"\n                            },\n                            \"running_price\": {\n                                \"value\": 80.0,\n                                \"displayValue\": \"$80.00\"\n                            }\n                        }\n                    ],\n                    \"total_adjustment_amount\": [\n                        {\n                            \"pricePoint\": \"net_price\",\n                            \"value\": -20.0,\n                            \"displayValue\": \"($20.00)\"\n                        }\n                    ]\n                },\n                {\n                    \"line_id\": \"BASICMONIT1003\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"30.0000\",\n                        \"displayValue\": \"$30.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"30.0000\",\n                        \"displayValue\": \"$30.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"bc53e785d07a7910f8770dbf976be1e7\",\n                    \"product_offering\": \"376111dfd0a63110f8770dbf976be140\",\n                    \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"25.0000\",\n                        \"displayValue\": \"$25.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"300.0000\",\n                        \"displayValue\": \"$300.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"25.0000\",\n                        \"displayValue\": \"$25.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"25.0000\",\n                        \"displayValue\": \"$25.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"300.0000\",\n                        \"displayValue\": \"$300.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"-5.0000\",\n                        \"displayValue\": \"($5.00)\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": \"25.0000\",\n                        \"displayValue\": \"$25.00\"\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"25.0000\",\n                        \"displayValue\": \"$25.00\"\n                    },\n                    \"pricingAdjustments\": [\n                        {\n                            \"adjustment_type\": {\n                                \"value\": \"6e1c03d653dd91105c0eddeeff7b1232\",\n                                \"displayValue\": \"MARKDOWN_AMT\"\n                            },\n                            \"adjustment_value\": {\n                                \"value\": 5.0,\n                                \"displayValue\": \"5\"\n                            },\n                            \"adjustment_amount\": {\n                                \"value\": -5.0,\n                                \"displayValue\": \"($5.00)\"\n                            },\n                            \"adjustment_amount_total\": {\n                                \"value\": -5.0,\n                                \"displayValue\": \"($5.00)\"\n                            },\n                            \"adjustment_description\": {\n                                \"displayValue\": \"basic monitoring bundle discount\"\n                            },\n                            \"adjustment_sequence_id\": {\n                                \"value\": 1.0\n                            },\n                            \"adjustment_matrix_type\": {\n                                \"displayValue\": \"Configuration Component Price Adjustment\"\n                            },\n                            \"adjustment_basis\": {\n                                \"value\": \"prv_price_point\"\n                            },\n                            \"price_point\": {\n                                \"value\": \"net_price\"\n                            },\n                            \"pricing_plan_step\": {\n                                \"value\": \"97b61272ffe722101fb14ad013cb14d7\"\n                            },\n                            \"running_price\": {\n                                \"value\": 25.0,\n                                \"displayValue\": \"$25.00\"\n                            }\n                        }\n                    ],\n                    \"total_adjustment_amount\": [\n                        {\n                            \"pricePoint\": \"net_price\",\n                            \"value\": -5.0,\n                            \"displayValue\": \"($5.00)\"\n                        }\n                    ]\n                },\n                {\n                    \"line_id\": \"PREMMONIT2004\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"40.0000\",\n                        \"displayValue\": \"$40.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"40.0000\",\n                        \"displayValue\": \"$40.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"a663a785d07a7910f8770dbf976be115\",\n                    \"product_offering\": \"e2619d9fd0a63110f8770dbf976be1ec\",\n                    \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"35.0000\",\n                        \"displayValue\": \"$35.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"420.0000\",\n                        \"displayValue\": \"$420.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"35.0000\",\n                        \"displayValue\": \"$35.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"35.0000\",\n                        \"displayValue\": \"$35.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"420.0000\",\n                        \"displayValue\": \"$420.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"-5.0000\",\n                        \"displayValue\": \"($5.00)\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": \"35.0000\",\n                        \"displayValue\": \"$35.00\"\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"35.0000\",\n                        \"displayValue\": \"$35.00\"\n                    },\n                    \"pricingAdjustments\": [\n                        {\n                            \"adjustment_type\": {\n                                \"value\": \"6e1c03d653dd91105c0eddeeff7b1232\",\n                                \"displayValue\": \"MARKDOWN_AMT\"\n                            },\n                            \"adjustment_value\": {\n                                \"value\": 5.0,\n                                \"displayValue\": \"5\"\n                            },\n                            \"adjustment_amount\": {\n                                \"value\": -5.0,\n                                \"displayValue\": \"($5.00)\"\n                            },\n                            \"adjustment_amount_total\": {\n                                \"value\": -5.0,\n                                \"displayValue\": \"($5.00)\"\n                            },\n                            \"adjustment_description\": {\n                                \"displayValue\": \"premium monitoring bundle discount\"\n                            },\n                            \"adjustment_sequence_id\": {\n                                \"value\": 1.0\n                            },\n                            \"adjustment_matrix_type\": {\n                                \"displayValue\": \"Configuration Component Price Adjustment\"\n                            },\n                            \"adjustment_basis\": {\n                                \"value\": \"prv_price_point\"\n                            },\n                            \"price_point\": {\n                                \"value\": \"net_price\"\n                            },\n                            \"pricing_plan_step\": {\n                                \"value\": \"97b61272ffe722101fb14ad013cb14d7\"\n                            },\n                            \"running_price\": {\n                                \"value\": 35.0,\n                                \"displayValue\": \"$35.00\"\n                            }\n                        }\n                    ],\n                    \"total_adjustment_amount\": [\n                        {\n                            \"pricePoint\": \"net_price\",\n                            \"value\": -5.0,\n                            \"displayValue\": \"($5.00)\"\n                        }\n                    ]\n                },\n                {\n                    \"line_id\": \"ULTIMONIT1005\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"50.0000\",\n                        \"displayValue\": \"$50.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"50.0000\",\n                        \"displayValue\": \"$50.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"72736f85d07a7910f8770dbf976be162\",\n                    \"product_offering\": \"3b6111dfd0a63110f8770dbf976be147\",\n                    \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"45.0000\",\n                        \"displayValue\": \"$45.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"540.0000\",\n                        \"displayValue\": \"$540.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"45.0000\",\n                        \"displayValue\": \"$45.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"45.0000\",\n                        \"displayValue\": \"$45.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"540.0000\",\n                        \"displayValue\": \"$540.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"-5.0000\",\n                        \"displayValue\": \"($5.00)\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": \"45.0000\",\n                        \"displayValue\": \"$45.00\"\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"45.0000\",\n                        \"displayValue\": \"$45.00\"\n                    },\n                    \"pricingAdjustments\": [\n                        {\n                            \"adjustment_type\": {\n                                \"value\": \"6e1c03d653dd91105c0eddeeff7b1232\",\n                                \"displayValue\": \"MARKDOWN_AMT\"\n                            },\n                            \"adjustment_value\": {\n                                \"value\": 5.0,\n                                \"displayValue\": \"5\"\n                            },\n                            \"adjustment_amount\": {\n                                \"value\": -5.0,\n                                \"displayValue\": \"($5.00)\"\n                            },\n                            \"adjustment_amount_total\": {\n                                \"value\": -5.0,\n                                \"displayValue\": \"($5.00)\"\n                            },\n                            \"adjustment_description\": {\n                                \"displayValue\": \"ultimate monitoring bundle discount\"\n                            },\n                            \"adjustment_sequence_id\": {\n                                \"value\": 1.0\n                            },\n                            \"adjustment_matrix_type\": {\n                                \"displayValue\": \"Configuration Component Price Adjustment\"\n                            },\n                            \"adjustment_basis\": {\n                                \"value\": \"prv_price_point\"\n                            },\n                            \"price_point\": {\n                                \"value\": \"net_price\"\n                            },\n                            \"pricing_plan_step\": {\n                                \"value\": \"97b61272ffe722101fb14ad013cb14d7\"\n                            },\n                            \"running_price\": {\n                                \"value\": 45.0,\n                                \"displayValue\": \"$45.00\"\n                            }\n                        }\n                    ],\n                    \"total_adjustment_amount\": [\n                        {\n                            \"pricePoint\": \"net_price\",\n                            \"value\": -5.0,\n                            \"displayValue\": \"($5.00)\"\n                        }\n                    ]\n                },\n                {\n                    \"line_id\": \"INDOORCAM1006\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"35.0000\",\n                        \"displayValue\": \"$35.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"35.0000\",\n                        \"displayValue\": \"$35.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"81332f45d07a7910f8770dbf976be14e\",\n                    \"product_offering\": \"1761dd9fd0a63110f8770dbf976be196\",\n                    \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"28.0000\",\n                        \"displayValue\": \"$28.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"28.0000\",\n                        \"displayValue\": \"$28.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"28.0000\",\n                        \"displayValue\": \"$28.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"28.0000\",\n                        \"displayValue\": \"$28.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"-7.0000\",\n                        \"displayValue\": \"($7.00)\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricingAdjustments\": [\n                        {\n                            \"adjustment_type\": {\n                                \"value\": \"a96c83d653dd91105c0eddeeff7b12d8\",\n                                \"displayValue\": \"MARKDOWN_PER\"\n                            },\n                            \"adjustment_value\": {\n                                \"value\": 20.0,\n                                \"displayValue\": \"20\"\n                            },\n                            \"adjustment_amount\": {\n                                \"value\": -7.0,\n                                \"displayValue\": \"($7.00)\"\n                            },\n                            \"adjustment_amount_total\": {\n                                \"value\": -7.0,\n                                \"displayValue\": \"($7.00)\"\n                            },\n                            \"adjustment_description\": {\n                                \"displayValue\": \"indoor camera bundle discount\"\n                            },\n                            \"adjustment_sequence_id\": {\n                                \"value\": 1.0\n                            },\n                            \"adjustment_matrix_type\": {\n                                \"displayValue\": \"Configuration Component Price Adjustment\"\n                            },\n                            \"adjustment_basis\": {\n                                \"value\": \"prv_price_point\"\n                            },\n                            \"price_point\": {\n                                \"value\": \"net_price\"\n                            },\n                            \"pricing_plan_step\": {\n                                \"value\": \"97b61272ffe722101fb14ad013cb14d7\"\n                            },\n                            \"running_price\": {\n                                \"value\": 28.0,\n                                \"displayValue\": \"$28.00\"\n                            }\n                        }\n                    ],\n                    \"total_adjustment_amount\": [\n                        {\n                            \"pricePoint\": \"net_price\",\n                            \"value\": -7.0,\n                            \"displayValue\": \"($7.00)\"\n                        }\n                    ]\n                },\n                {\n                    \"line_id\": \"OUTCAMERA1007\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"40.0000\",\n                        \"displayValue\": \"$40.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"40.0000\",\n                        \"displayValue\": \"$40.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"1\",\n                    \"price_list_line\": \"9a136f45d07a7910f8770dbf976be1b4\",\n                    \"product_offering\": \"6f6111dfd0a63110f8770dbf976be100\",\n                    \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"32.0000\",\n                        \"displayValue\": \"$32.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"32.0000\",\n                        \"displayValue\": \"$32.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"32.0000\",\n                        \"displayValue\": \"$32.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"32.0000\",\n                        \"displayValue\": \"$32.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"-8.0000\",\n                        \"displayValue\": \"($8.00)\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricingAdjustments\": [\n                        {\n                            \"adjustment_type\": {\n                                \"value\": \"a96c83d653dd91105c0eddeeff7b12d8\",\n                                \"displayValue\": \"MARKDOWN_PER\"\n                            },\n                            \"adjustment_value\": {\n                                \"value\": 20.0,\n                                \"displayValue\": \"20\"\n                            },\n                            \"adjustment_amount\": {\n                                \"value\": -8.0,\n                                \"displayValue\": \"($8.00)\"\n                            },\n                            \"adjustment_amount_total\": {\n                                \"value\": -8.0,\n                                \"displayValue\": \"($8.00)\"\n                            },\n                            \"adjustment_description\": {\n                                \"displayValue\": \"outdoor camera bundle discount\"\n                            },\n                            \"adjustment_sequence_id\": {\n                                \"value\": 1.0\n                            },\n                            \"adjustment_matrix_type\": {\n                                \"displayValue\": \"Configuration Component Price Adjustment\"\n                            },\n                            \"adjustment_basis\": {\n                                \"value\": \"prv_price_point\"\n                            },\n                            \"price_point\": {\n                                \"value\": \"net_price\"\n                            },\n                            \"pricing_plan_step\": {\n                                \"value\": \"97b61272ffe722101fb14ad013cb14d7\"\n                            },\n                            \"running_price\": {\n                                \"value\": 32.0,\n                                \"displayValue\": \"$32.00\"\n                            }\n                        }\n                    ],\n                    \"total_adjustment_amount\": [\n                        {\n                            \"pricePoint\": \"net_price\",\n                            \"value\": -8.0,\n                            \"displayValue\": \"($8.00)\"\n                        }\n                    ]\n                },\n                {\n                    \"line_id\": \"WINSENSOR1008\",\n                    \"status\": \"Success\",\n                    \"currency\": \"USD\",\n                    \"base_price\": {\n                        \"value\": \"15.0000\",\n                        \"displayValue\": \"$15.00\"\n                    },\n                    \"list_price\": {\n                        \"value\": \"15.0000\",\n                        \"displayValue\": \"$15.00\"\n                    },\n                    \"pricelist\": \"19d29513d0e63110f8770dbf976be122\",\n                    \"quantity\": \"3\",\n                    \"price_list_line\": \"91f26b45d07a7910f8770dbf976be19b\",\n                    \"product_offering\": \"1b20347e11307110f877366201dea67f\",\n                    \"parent_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"top_product_offer\": \"26d07c3211707110f877366201dea60c\",\n                    \"one_time_price\": {\n                        \"value\": \"36.0000\",\n                        \"displayValue\": \"$36.00\"\n                    },\n                    \"monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_net_price\": {\n                        \"value\": \"12.0000\",\n                        \"displayValue\": \"$12.00\"\n                    },\n                    \"cumulative_net_price\": {\n                        \"value\": \"36.0000\",\n                        \"displayValue\": \"$36.00\"\n                    },\n                    \"cumulative_one_time_price\": {\n                        \"value\": \"36.0000\",\n                        \"displayValue\": \"$36.00\"\n                    },\n                    \"cumulative_monthly_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"cumulative_annual_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"unit_adjustment\": {\n                        \"value\": \"-3.0000\",\n                        \"displayValue\": \"($3.00)\"\n                    },\n                    \"term_month\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_annual_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"cumulative_monthly_recurring_price_v1\": {\n                        \"value\": 0,\n                        \"displayValue\": 0\n                    },\n                    \"total_recurring_price\": {\n                        \"value\": \"0.0000\",\n                        \"displayValue\": \"$0.00\"\n                    },\n                    \"pricingAdjustments\": [\n                        {\n                            \"adjustment_type\": {\n                                \"value\": \"a96c83d653dd91105c0eddeeff7b12d8\",\n                                \"displayValue\": \"MARKDOWN_PER\"\n                            },\n                            \"adjustment_value\": {\n                                \"value\": 20.0,\n                                \"displayValue\": \"20\"\n                            },\n                            \"adjustment_amount\": {\n                                \"value\": -3.0,\n                                \"displayValue\": \"($3.00)\"\n                            },\n                            \"adjustment_amount_total\": {\n                                \"value\": -9.0,\n                                \"displayValue\": \"($9.00)\"\n                            },\n                            \"adjustment_description\": {\n                                \"displayValue\": \"window sensor bundle discount\"\n                            },\n                            \"adjustment_sequence_id\": {\n                                \"value\": 1.0\n                            },\n                            \"adjustment_matrix_type\": {\n                                \"displayValue\": \"Configuration Component Price Adjustment\"\n                            },\n                            \"adjustment_basis\": {\n                                \"value\": \"prv_price_point\"\n                            },\n                            \"price_point\": {\n                                \"value\": \"net_price\"\n                            },\n                            \"pricing_plan_step\": {\n                                \"value\": \"97b61272ffe722101fb14ad013cb14d7\"\n                            },\n                            \"running_price\": {\n                                \"value\": 12.0,\n                                \"displayValue\": \"$12.00\"\n                            }\n                        }\n                    ],\n                    \"total_adjustment_amount\": [\n                        {\n                            \"pricePoint\": \"net_price\",\n                            \"value\": -9.0,\n                            \"displayValue\": \"($9.00)\"\n                        }\n                    ]\n                }\n            ],\n            \"status\": \"Success\",\n            \"total_monthly_recurring_price\": {\n                \"value\": \"105.0000\",\n                \"displayValue\": \"$105.00\"\n            },\n            \"total_monthly_recurring_price_v1\": {\n                \"value\": \"105.0000\",\n                \"displayValue\": \"$105.00\"\n            },\n            \"total_annual_recurring_price\": {\n                \"value\": \"1260.0000\",\n                \"displayValue\": \"$1,260.00\"\n            },\n            \"total_annual_recurring_price_v1\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_amount\": {\n                \"value\": \"200.0000\",\n                \"displayValue\": \"$200.00\"\n            },\n            \"total_amount_v1\": {\n                \"value\": \"305.0000\",\n                \"displayValue\": \"$305.00\"\n            },\n            \"total_one_time_price\": {\n                \"value\": \"200.0000\",\n                \"displayValue\": \"$200.00\"\n            },\n            \"total_one_time_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_monthly_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_cost\": {\n                \"value\": \"0.0000\",\n                \"displayValue\": \"$0.00\"\n            },\n            \"total_one_time_margin\": {\n                \"value\": \"200.0000\",\n                \"displayValue\": \"$200.00\"\n            },\n            \"total_monthly_margin\": {\n                \"value\"
[...]
